# $Revision: 1.13 $, $Date: 2011/05/22 17:34:06 $
Summary:	I/O fencing system
Summary(pl.UTF-8):	System barier I/O
Name:		fence
Version:	2.03.10
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
# Source0-md5:	379b560096e315d4b52e238a5c72ba4a
URL:		http://sources.redhat.com/cluster/fence/
BuildRequires:	cman-devel >= 2.03.10
BuildRequires:	ccs-devel >= 2.03.10
BuildRequires:	perl-base
BuildRequires:	rpm-pythonprov
Requires:	cman-libs >= 2.03.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The Fence system does I/O fencing of cluster members. Any member may
join the default fence domain after which it will be fenced if it
fails without leaving the fence domain cleanly. The lock_dlm GFS lock
module will not permit GFS to be mounted until the node has joined a
fence domain.

The fence daemon, fenced, is usually started by running "fence_tool
join". Once started, fenced joins the default fence domain and the
node is subject to being fenced if it fails. A collection of fence
agents are used by fenced to interface with hardware devices (usually
to shut off its path to shared storage or cycle its power source.)

%description -l pl.UTF-8
System Fence odpowiada za bariery I/O dla członków klastra. Każdy z
członków może dołączyć do domyślnej domeny barier, po czym będzie
odgrodzony jeśli zawiedzie nie opuszczając czysto domeny barier. Moduł
blokujący GFS-a lock_dlm nie pozwoli na podmontowanie GFS-a dopóki
węzeł nie dołączy do domeny barier.

Demon fence, fenced, jest zwykle uruchamiany przez fence_tool join. Po
uruchomieniu fenced dołącza do domyślnej domeny barier, a węzeł jest
przedmiotem odgrodzenia jeśli zawiedzie. fenced wykorzystuje zbiór
agentów fence do komunikacji z urządzeniami sprzętowymi (zwykle do
odcinania drogi do dzielonej pamięci lub wyłączania i włączania
zasilania).

%prep
%setup -q -n cluster-%{version}

%build
./configure \
	--cc="%{__cc}" \
	--cflags="%{rpmcflags} -Wall" \
	--ldflags="%{rpmldflags}" \
	--incdir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--without_gfs \
	--without_gfs2 \
	--without_gnbd \
	--without_kernel_modules

# libgroup.a is not packaged anywhere, so we must build it here
%{__make} -C group/lib

%{__make} -C %{name}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C %{name} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/fence_*
%attr(755,root,root) %{_sbindir}/fenced
# TODO: PLDify
#%attr(754,root,root) /etc/rc.d/init.d/scsi_reserve
%{_datadir}/fence
#%{_datadir}/snmp/mibs/powernet369.mib
%{_mandir}/man8/fence.8*
%{_mandir}/man8/fence_*.8*
%{_mandir}/man8/fenced.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fence.spec,v $
Revision 1.13  2011/05/22 17:34:06  qboosh
- updated to 2.03.10 (the last 2nd generation cluster release)
- removed obsolete antistatic patch

Revision 1.12  2007/04/05 10:01:48  zbyniu
- build with system ccs

Revision 1.11  2007/04/05 09:11:43  zbyniu
- up to 2.00.00

Revision 1.10  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.8  2006/09/04 01:19:30  zbyniu
- up to 1.03.00

Revision 1.7  2006/05/15 00:11:45  zbyniu
- up to 1.02.00

Revision 1.6  2005/11/05 23:51:12  arekm
- up to 1.01.00

Revision 1.5  2005/04/23 18:45:13  qboosh
- updated to 1.26, use optflags

Revision 1.4  2004/08/31 06:40:51  snurf
- typos / formatting / etc.

Revision 1.3  2004/06/26 23:31:08  arekm
- fix URL

Revision 1.2  2004/06/25 17:19:53  qboosh
- pl

Revision 1.1  2004/06/25 10:51:54  arekm
- initial pld release
